# Copyright Perinet GmbH. All Rights Reserved.
# 

include:
  - project: "perinet/service/devops/gitlab-ci-library"
    ref: "main"
    file:
      - "periMICA-container/pipeline-base.yml"

variables:
  DEPLOY_MACHINE_TAG: "docker"
  DEPLOY_MACHINE_IMAGE: "registry.gitlab.com/perinet/perimica-container/containerbuildenv"
  BUILD_MACHINE_TAG: "perinet.ec2.m6g.8xlarge"#
  BUILD_MACHINE_IMAGE: "registry.gitlab.com/perinet/perimica-container/containerbuildenv:aarch64"
  # default values
  CONTAINER_NAME: "${CI_PROJECT_NAME}"
  PACKAGE_NAME: periMICA-container-${CONTAINER_NAME}
  PACKAGE_VERSION: "${CI_COMMIT_REF}"

